commit:     d0d12306ba1222e89a02afb4a25eb3ca06ab21f9
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Wed Jul  7 09:47:48 2021 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Wed Jul  7 17:38:03 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d0d12306

dev-ruby/ed25519: add ruby30; EAPI 7; fix extension

Package-Manager: Portage-3.0.20, Repoman-3.0.2
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/ed25519/ed25519-1.2.4-r1.ebuild | 29 +++++++++++++++++++++++++++++
 1 file changed, 29 insertions(+)

diff --git a/dev-ruby/ed25519/ed25519-1.2.4-r1.ebuild 
b/dev-ruby/ed25519/ed25519-1.2.4-r1.ebuild
new file mode 100644
index 00000000000..3b257892501
--- /dev/null
+++ b/dev-ruby/ed25519/ed25519-1.2.4-r1.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+USE_RUBY="ruby25 ruby26 ruby27 ruby30"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGES.md README.md"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_EXTENSIONS=(ext/ed25519_ref10/extconf.rb)
+
+RUBY_FAKEGEM_GEMSPEC="ed25519.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Library for the Ed25519 public-key signature system"
+HOMEPAGE="https://github.com/crypto-rb/ed25519";
+SRC_URI="https://github.com/crypto-rb/ed25519/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="1"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86"
+IUSE=""
+
+all_ruby_prepare() {
+       sed -i -e '/bundler/ s:^:#:' spec/spec_helper.rb || die
+}

Reply via email to